#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-L3DK3lEh05l5Mk6JNw2T7o
key:                  hoogle-5.0.18.4-L3DK3lEh05l5Mk6JNw2T7o
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  c6b5f6afa793a820d8cfc22a25687f10
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-L3DK3lEh05l5Mk6JNw2T7o
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-5Q3LTiKAdB0LFKfPwDt7Ga
    aeson-2.1.2.1-I893iKJ0oHPJ1jEwOVWed6 base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-ARMUh31ndZFLabXVs8gk0N
    blaze-markup-0.8.3.0-HRiNog23ingBf0HHxn7tF0 bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-GKnHuzD4Nn6IarMahEfIxq
    conduit-extra-1.3.6-DF8DOiU714JCf1u0kSL4TS containers-0.6.5.1
    crypton-connection-0.3.2-36ppN3Gn6kYD8Dtpen9u1g deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-KR1Y4egVNjKBcN1wDcWpKS
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-BrYG523VafVKM4yDK0K7G3
    haskell-src-exts-1.23.1-5wKcEPhCYtCDMpJskTRGU9
    http-conduit-2.3.9.1-FNv0ePe3csxJhmoIauZC0T
    http-types-0.12.4-G97153ZIeGq6X7uXEs2l2V
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-6vyTR6ru1TTx39unhCQo2
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-HYiI1TZ9lWQASx7HCpbyWh
    resourcet-1.2.6-AIugU9tehxw9mXWKxKfb0b
    safe-0.3.21-JdttgF4acvJfVRaNLAh
    storable-tuple-0.1-GA1A6gD9qV8JuW0cZEIaVw
    tar-0.5.1.1-FV3imbTuzBiF8SlOSs8JNH template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-AjSqydB1rb24oLC5xoUisy
    utf8-string-1.0.2-AQMRv3gsvE14uh4nlO1egX
    vector-0.13.1.0-Gf2urNiIAD32gZDiWE6SSZ
    wai-3.2.4-BNQtAxBTTmbBe7Crr2a2xg
    wai-logger-2.5.0-6RWeXtjPEwwGBOBXcC2dpg
    warp-3.3.30-JQuxlSSi13uLhX74fYOoJn
    warp-tls-3.4.9-9qHKeS6F2dF1qxnrzp7449
    zlib-0.6.3.0-3hvuMBy4V96vMim3ALKcj

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

